#3 Update to upstream release 1.3.2
Merged 4 years ago by mfabik. Opened 4 years ago by packit.
rpms/ packit/gnome-abrt 1.3.2-f30-update  into  f30

[packit] 1.3.2 upstream release
Packit Service • 4 years ago  
file modified
+1
@@ -32,3 +32,4 @@ 

  /gnome-abrt-1.2.7.tar.gz

  /gnome-abrt-1.2.8.tar.gz

  /gnome-abrt-1.2.9.tar.gz

+ /gnome-abrt-1.3.2.tar.gz

file added
+18
@@ -0,0 +1,18 @@ 

+ specfile_path: gnome-abrt.spec

+ synced_files:

+   - .packit.yml

+   - gnome-abrt.spec

+ upstream_package_name: gnome-abrt

+ upstream_project_url: https://github.com/abrt/gnome-abrt

+ downstream_package_name: gnome-abrt

+ jobs:

+ - job: propose_downstream

+   trigger: release

+   metadata:

+     dist_git_branches:

+     - fedora-all

+ - job: copr_build

+   trigger: pull_request

+   metadata:

+     targets:

+     - fedora-all

file added
+3
@@ -0,0 +1,3 @@ 

+ This repository is maintained by packit.

+ https://packit.dev/

+ The file was generated using packit 0.10.3.dev2+g62156ed.

file modified
+33 -64
@@ -4,64 +4,49 @@ 

  #         ! Noarch package       ... caused by libreport wrappers shared library

  #         ! no binaries in $PATH ... caused by gnome-abrt python script in /usr/bin

  

- Name:       gnome-abrt

- Version:    1.2.9

- 

- Release:    2%{?dist}

+ # Uncomment when building from a git snapshot.

+ #%%global sn1.2.9t 1

+ %global commit 3e3512d2d6c81a4ca9b3b4d3f3936c876a6482f7

+ %global shortcommit %(c=%{commit}; echo ${c:0:7})

  

+ Name:       gnome-abrt

+ Version:    1.3.2

+ Release:    1%{?snapshot:.git%{shortcommit}}%{?dist}

  Summary:    A utility for viewing problems that have occurred with the system

  

  License:    GPLv2+

- URL:        https://github.com/abrt/gnome-abrt

- Source0:    https://github.com/abrt/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

- 

- # git format-patch %%{Version} --topo-order -N -M;

- # i=1; for p in `ls 0*.patch`; do printf "Patch%04d: %s\n" $i $p; ((i++)); done

- Patch0002: 0002-Pull-translations.patch

- Patch0004: 0004-trivial-Fix-a-typo-in-help-command-line-description.patch

- Patch0006: 0006-Translation-updates.patch

- 

- # git is need for '%%autosetup -S git' which automatically applies all the

- # patches above. Please, be aware that the patches must be generated

- # by 'git format-patch'

- BuildRequires: git

+ URL:        https://github.com/abrt/%{name}

+ %if 0%{?snapshot}

+ Source0:    %{url}/archive/%{commit}.tar.gz#/%{name}-%{commit}.tar.gz

+ %else

+ Source0:    %{url}/archive/%{version}/%{name}-%{version}.tar.gz

+ %endif

  

+ BuildRequires: git-core

+ BuildRequires: meson

  BuildRequires: gettext

  BuildRequires: libtool

  BuildRequires: python3-devel

  BuildRequires: desktop-file-utils

  BuildRequires: asciidoc

  BuildRequires: xmlto

- BuildRequires: pygobject3-devel >= 3.29.1

- BuildRequires: libreport-gtk-devel >= 2.6.0

+ BuildRequires: pygobject3-devel

+ BuildRequires: libreport-gtk-devel > 2.4.0

  BuildRequires: python3-libreport

- BuildRequires: abrt-gui-devel >= 2.6.0

+ BuildRequires: abrt-gui-devel > 2.4.0

  BuildRequires: gtk3-devel

- BuildRequires: libX11-devel

- 

  %if 0%{?fedora}

- # 2015-11-12 <jfilak>:

- # I temporarily disabled pylint after discussion with rkuska and kalev. pylint

- # cannot be built for Python-3.5 and gnome-abrt uses it only for 'make check'.

- %bcond_without pylint

+ BuildRequires: python3-pylint

  BuildRequires: python3-six

  BuildRequires: python3-inotify

- BuildRequires: python3-gobject >= 3.29.1

+ BuildRequires: python3-gobject

  BuildRequires: python3-dbus

  BuildRequires: python3-humanize

- %else

- %bcond_with pylint

- %endif

- 

- %if %{with pylint}

- BuildRequires: python3-pylint

- %else

- %define checkoption --with-nopylint

  %endif

  

  Requires:   python3-libreport

  Requires:   python3-inotify

- Requires:   python3-gobject >= 3.29.1

+ Requires:   python3-gobject

  Requires:   python3-dbus

  Requires:   python3-humanize

  
@@ -71,42 +56,24 @@ 

  

  

  %prep

- # http://www.rpm.org/wiki/PackagerDocs/Autosetup

- # Default '__scm_apply_git' is 'git apply && git commit' but this workflow

- # doesn't allow us to create a new file within a patch, so we have to use

- # 'git am' (see /usr/lib/rpm/macros for more details)

- %define __scm_apply_git(qp:m:) %{__git} am

- %autosetup -S git

+ %autosetup -S git %{?snapshot:-n %{name}%-%{commit}}

  

  

  %build

- autoconf

- %configure %{?checkoption}

- make

- # This is a workaround for the problem that *.gmo files are not updated

- # even if we have patches that update *.po files. As a result, translation

- # updates are not applied. Remove this as soon as we have a better solution,

- # maybe after the next upstream release (1.2.10?)

- make -C po update-gmo

+ %meson \

+     %{!?fedora:-Dlint=false} \

+     %{nil}

+ %meson_build

  

  

  %install

- make install DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir}

- %find_lang %{name}

- 

- # remove all .la and .a files

- find $RPM_BUILD_ROOT -name '*.la' -or -name '*.a' | xargs rm -f

- 

- desktop-file-install \

-     --dir ${RPM_BUILD_ROOT}%{_datadir}/applications \

-     --delete-original \

-     ${RPM_BUILD_ROOT}%{_datadir}/applications/org.freedesktop.GnomeAbrt.desktop

+ %meson_install

  

+ %find_lang %{name}

  

  %check

- %if %{with pylint}

- make check

- %endif

+ # do not fail on pylint warnings

+ %meson_test || :

  

  

  %files -f %{name}.lang
@@ -119,8 +86,10 @@ 

  %{_mandir}/man1/%{name}.1*

  %{_datadir}/icons/hicolor/*/apps/*

  

- 

  %changelog

+ * Wed May 13 2020 Packit Service <user-cont-team+packit-service@redhat.com> - 1.3.2-1

+ - new upstream release: 1.3.2

+ 

  * Thu Oct 31 2019 Rafal Luzynski <digitalfreak@lingonborough.com> - 1.2.9-2

  - Apply upstream changes in the spec file

  - Fix "gnome-abrt --help" not fully translated

file modified
+1 -1
@@ -1,1 +1,1 @@ 

- SHA512 (gnome-abrt-1.2.9.tar.gz) = a39cfdc5b819906bcdb10788b44b28c56a9cffecf0053f772f44fd44842d6f72403282d11a529caf72dd6222159a4664998a223ed51d6424756589f6fa6a6031

+ SHA512 (gnome-abrt-1.3.2.tar.gz) = 8a12b8b85660bd0c1b3cf1922b9f4497e38eab0e4073ab00f35b685f35ce846f6a9f8a7f2d83c2482b01d4ff802052741ec4e230ceec5370a9d374687310900e